FUNCTION TEMPLA(3)

NAME
boost::property_tree::xml_parser::write_xml

SYNOPSIS

// In header: <boost/property_tree/xml_parser.hpp>
template<typename Ptree>
  void write_xml(const std::string & filename, const Ptree & pt,
                 const std::locale & loc = std::locale(),
                 const xml_writer_settings< typename Ptree::key_type::value_type > & settings = xml_writer_settings< typename Ptree::key_type::value_type >());

DESCRIPTION

Translates the property tree to XML and writes it the given file.

Parameters:

    filename
        The file to which to write the XML representation of the property tree.

    loc
        The locale to use when writing the output to file.

    pt
        The property tree to tranlsate to XML and output.

    settings
        The settings to use when writing out the property tree as XML.

Throws:
    xml_parser_error